#include <iostream>

using namespace std;

int main()
{
    int n,x,y;
    cin>>n;


    for(int i=0;i<n-1;i++)
    {
        cin>>x>>y;
    }
    cout<<1;
/*
    if(n==2)
    {
        if(niz[0].first==niz[1].first || niz[0].second==niz[1].second)
            cout<<1;
        else
            cout<<0;
    }
    else
    {

    }*/
    return 0;
}